clear
clc
close all
 Vspan = [0 0.001]; % Range for the independent variable i.e length of the reactor
 y0 = [1250.; 1035.; 0]; % Initial values for the dependent variables i.e X,T,and Ta

[v y]=ode45(@ODEfun,Vspan,y0);
z=size(y);
    %Calculating the values of rate from the following expression
    for i=1:z(1,1)
rate(i) =18.8 * 3.58 * exp(34222 * (1 /1035 - (1 / y(i,2)))) * (1 - y(i,3)) *(1035 / y(i,2)) / (1 + y(i,3));
    end

plot(v,rate);
ylabel('-r_A(mol/m^3.s)');
xlabel('V(m^3)');
legend('Rate')
title('Reaction rate profile for co-current heat exchange')

